This page was not yet optimized for use on mobile devices.
SafeZone FIPS SW Cryptographic Module
Certificate details
| Certificate ID | #4898 |
|---|---|
| Status | historical |
| Historical reason | Replaced by certificate #5423 |
| Validation dates | 22.11.2024 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | Interim Validation. When operated in approved mode |
| Exceptions |
|
| Description | SafeZone FIPS SW Cryptographic Module is a FIPS 140-3 Level 1 validated software cryptographic module from Rambus. The module provides a set of commonly used cryptographic primitives by exposing a custom API for a wide range of applications, typically running on a general-purpose operating system. |
| Tested configurations |
|
| Vendor | Rambus Inc. http://www.rambus.com |
| Lab | Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-, AES-256, AES, AES-128, AES-192, CAST, DES, Triple-DES, TDEA, Poly1305, HMAC, CMACAsymmetric Algorithms
RSA-OAEP, ECDH, ECDSA, ECC, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA512, SHA-2, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, MD5, PBKDF, PBKDF2Schemes
MAC, KEM, Key Agreement, Key agreementProtocols
TLS v1.2, TLS 1.0, TLS, IKEv1, IKEv2Randomness
DRBG, RNG, RBGElliptic Curves
P-224, P-256, P-384, P-521, P-192, NIST P-224, NIST P-192Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSJavaCard API constants
X25519Vendor
BroadcomSecurity level
Level 1Standards
FIPS 140-3, FIPS PUB 140-3, FIPS 186-4, FIPS 198-1, FIPS 180-4, FIPS 202, FIPS 186-2, NIST SP 800-108, NIST SP 800-56C, NIST SP 800-133, NIST SP 800-107, NIST SP 800-56A, NIST SP 800-140B, NIST SP 800-38A, NIST SP 800-38C, NIST SP 800-38B, NIST SP 800-38D, NIST SP 800-38F, NIST SP 800-38E, NIST SP 800-132, SP 800-38F, NIST SP 800-90B, SP 800-133, NIST SP 800-56B, SP 800-135, SP 800-90B, NIST SP 800-90A, PKCS #1, RFC7627, RFC 5869, RFC 7714, ISO/IEC 24759Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4898,
"dgst": "a66ce68fad6cf229",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"TLS v1.2 KDF RFC7627A2836",
"AES-CMACA2836",
"KDF SP800-108A2836",
"HMAC-SHA2-224A2836",
"AES-OFBA2836",
"#A2836",
"KDA TwoStep SP800-56Cr2A2836",
"DSA KeyGen (FIPS186-4)A2836",
"AES-XTS Testing Revision 2.0A2836",
"KAS-ECC CDH-ComponentA2836",
"HMAC-SHA2-256A2836",
"AES-CBCA2836",
"KDF IKEv2A2836",
"SHA2-384A2836",
"SHA2-224A2836",
"AES-KWA2836",
"HMAC-SHA2-512A2836",
"RSA SigGen (FIPS186-4)A2836",
"RSA SigVer (FIPS186-4)A2836",
"TDES-CBCA2836",
"AES-CCMA2836",
"HMAC-SHA-1A2836",
"Counter DRBGA2836",
"ECDSA SigGen (FIPS186-4)A2836",
"KAS-ECC-SSC Sp800-56Ar3A2836",
"KDF IKEv1A2836",
"SHA3-224A2836",
"SHA-1A2836",
"PBKDFA2836",
"DSA SigGen (FIPS186-4)A2836",
"AES-GCMA2836",
"SHAKE-128A2836",
"ECDSA SigVer (FIPS186-4)A2836",
"SHA3-512A2836",
"TDES-ECBA2836",
"AES-KWPA2836",
"KAS-FFC-SSC Sp800-56Ar3A2836",
"KDA HKDF SP800-56Cr2A2836",
"AES-ECBA2836",
"AES-CTRA2836",
"KDF SRTPA2836",
"SHA3-256A2890",
"SHA2-512A2836",
"KTS-IFCA2836",
"HMAC-SHA2-384A2836",
"SHA2-256A2836",
"ECDSA KeyGen (FIPS186-4)A2836",
"DSA PQGVer (FIPS186-4)A2836",
"DSA PQGGen (FIPS186-4)A2836",
"SHA3-384A2836",
"RSA KeyGen (FIPS186-4)A2836",
"AES-GMACA2836",
"DSA SigVer (FIPS186-4)A2836",
"SHAKE-256A2836"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 33,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 4
},
"ECDH": {
"ECDH": 5
},
"ECDSA": {
"ECDSA": 27
}
},
"FF": {
"DH": {
"DH": 10,
"Diffie-Hellman": 6
},
"DSA": {
"DSA": 32
}
},
"RSA": {
"RSA-OAEP": 8
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 1
},
"CCM": {
"CCM": 1
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 1
},
"ECB": {
"ECB": 2
},
"GCM": {
"GCM": 6
},
"OFB": {
"OFB": 2
},
"XTS": {
"XTS": 5
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKEv1": 13,
"IKEv2": 13
},
"TLS": {
"TLS": {
"TLS": 2,
"TLS 1.0": 1,
"TLS v1.2": 13
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 6,
"Key agreement": 5
},
"KEM": {
"KEM": 2
},
"MAC": {
"MAC": 30
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"NIST P-192": 3,
"NIST P-224": 10,
"P-192": 3,
"P-224": 10,
"P-256": 10,
"P-384": 10,
"P-521": 6
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 4
}
},
"fips_certlike": {
"Certlike": {
"AES-128": 1,
"AES-192": 1,
"AES-256": 8,
"AES-CBC 128, 192": 1,
"AES-CMAC 128": 1,
"AES-CTR 128": 1,
"AES-GCM 128": 1,
"HMAC-SHA- 1": 2,
"HMAC-SHA- 224 224": 2,
"HMAC-SHA- 256 256": 2,
"HMAC-SHA- 384 384": 2,
"HMAC-SHA- 512 512": 2,
"HMAC-SHA-1": 10,
"HMAC-SHA-1 160 112": 2,
"HMAC-SHA-1-80": 2,
"HMAC-SHA-1-96": 2,
"HMAC-SHA-2": 2,
"PKCS #1": 8,
"RSA-PKCS#1": 3,
"SHA- 1": 1,
"SHA- 224": 1,
"SHA- 256": 1,
"SHA- 384": 1,
"SHA- 512": 1,
"SHA-1": 13,
"SHA-1 2": 1,
"SHA-1 4": 1,
"SHA-2": 1,
"SHA-3": 1,
"SHA2- 224": 1,
"SHA2- 256": 6,
"SHA2- 383": 1,
"SHA2- 384": 8,
"SHA2- 512 and 2048": 1,
"SHA2-224": 24,
"SHA2-256": 15,
"SHA2-384": 11,
"SHA2-512": 17,
"SHA2-512 and 1024": 1,
"SHA3- 256": 2,
"SHA3-224": 5,
"SHA3-256": 7,
"SHA3-384": 4,
"SHA3-512": 4,
"SHA512": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 11
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"PBKDF": {
"PBKDF": 14,
"PBKDF2": 3
},
"SHA": {
"SHA1": {
"SHA-1": 15
},
"SHA2": {
"SHA-2": 1,
"SHA512": 1
},
"SHA3": {
"SHA-3": 1,
"SHA3-224": 5,
"SHA3-256": 7,
"SHA3-384": 4,
"SHA3-512": 4
}
}
},
"ic_data_group": {},
"javacard_api_const": {
"curves": {
"X25519": 5
}
},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 35
},
"RNG": {
"RBG": 1,
"RNG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 17,
"FIPS 180-4": 6,
"FIPS 186-2": 1,
"FIPS 186-4": 21,
"FIPS 198-1": 6,
"FIPS 202": 8,
"FIPS PUB 140-3": 1
},
"ISO": {
"ISO/IEC 24759": 4
},
"NIST": {
"NIST SP 800-107": 3,
"NIST SP 800-108": 11,
"NIST SP 800-132": 7,
"NIST SP 800-133": 2,
"NIST SP 800-140B": 2,
"NIST SP 800-38A": 5,
"NIST SP 800-38B": 2,
"NIST SP 800-38C": 2,
"NIST SP 800-38D": 3,
"NIST SP 800-38E": 2,
"NIST SP 800-38F": 6,
"NIST SP 800-56A": 4,
"NIST SP 800-56B": 7,
"NIST SP 800-56C": 10,
"NIST SP 800-90A": 1,
"NIST SP 800-90B": 3,
"SP 800-133": 1,
"SP 800-135": 1,
"SP 800-38F": 3,
"SP 800-90B": 1
},
"PKCS": {
"PKCS #1": 4
},
"RFC": {
"RFC 5869": 3,
"RFC 7714": 1,
"RFC7627": 10
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 24,
"AES-": 5,
"AES-128": 1,
"AES-192": 1,
"AES-256": 8
},
"CAST": {
"CAST": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 4
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"CMAC": 9,
"HMAC": 17
}
},
"djb": {
"Poly": {
"Poly1305": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Broadcom": {
"Broadcom": 3
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"TLS v1.2 KDF RFC7627A2836",
"AES-CMACA2836",
"KDF SP800-108A2836",
"HMAC-SHA2-224A2836",
"AES-OFBA2836",
"KDA TwoStep SP800-56Cr2A2836",
"DSA KeyGen (FIPS186-4)A2836",
"AES-XTS Testing Revision 2.0A2836",
"KAS-ECC CDH-ComponentA2836",
"HMAC-SHA2-256A2836",
"AES-CBCA2836",
"KDF IKEv2A2836",
"SHA2-384A2836",
"SHA2-224A2836",
"AES-KWA2836",
"HMAC-SHA2-512A2836",
"RSA SigGen (FIPS186-4)A2836",
"RSA SigVer (FIPS186-4)A2836",
"TDES-CBCA2836",
"AES-CCMA2836",
"HMAC-SHA-1A2836",
"Counter DRBGA2836",
"ECDSA SigGen (FIPS186-4)A2836",
"KAS-ECC-SSC Sp800-56Ar3A2836",
"KDF IKEv1A2836",
"SHA3-224A2836",
"SHA-1A2836",
"PBKDFA2836",
"DSA SigGen (FIPS186-4)A2836",
"AES-GCMA2836",
"SHAKE-128A2836",
"ECDSA SigVer (FIPS186-4)A2836",
"SHA3-512A2836",
"TDES-ECBA2836",
"AES-KWPA2836",
"KAS-FFC-SSC Sp800-56Ar3A2836",
"KDA HKDF SP800-56Cr2A2836",
"AES-ECBA2836",
"AES-CTRA2836",
"KDF SRTPA2836",
"SHA3-256A2890",
"SHA2-512A2836",
"KTS-IFCA2836",
"HMAC-SHA2-384A2836",
"SHA2-256A2836",
"ECDSA KeyGen (FIPS186-4)A2836",
"DSA PQGVer (FIPS186-4)A2836",
"DSA PQGGen (FIPS186-4)A2836",
"SHA3-384A2836",
"RSA KeyGen (FIPS186-4)A2836",
"AES-GMACA2836",
"DSA SigVer (FIPS186-4)A2836",
"SHAKE-256A2836"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A2836"
]
},
"policy_metadata": {
"/Author": "",
"/CreationDate": "D:20241108094836+02\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20241108114746--05\u002700",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 1324043,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.chronox.de/jent.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 36
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "f9b434360d688fcf7aa20615eb6c1e9790bac187377cb6b2a621cd6515760c3d",
"source_hash": "869076ec0567066fa8e2acb954437c57c16af7389ec9f3be41a4657763cced65",
"txt_hash": "ff03e6a6f0ce3d2b4318906aa8da32b75a646dbf65cb0407d39b3047ecfb40af"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "Interim Validation. When operated in approved mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/November 2024_021224_0125.pdf",
"date_sunset": null,
"description": "SafeZone FIPS SW Cryptographic Module is a FIPS 140-3 Level 1 validated software cryptographic module from Rambus. The module provides a set of commonly used cryptographic primitives by exposing a custom API for a wide range of applications, typically running on a general-purpose operating system.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": "Replaced by certificate #5423",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SafeZone FIPS SW Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "historical",
"sw_versions": "v2.0",
"tested_conf": [
"Linux Ubuntu 20.04 LTS (32-bit) running on a Raspberry Pi 2 with a Broadcom BCM2836 with PAA",
"Linux Ubuntu 20.04 LTS (32-bit) running on an AAEON UP Core UPC-CHT01-A20-0464-A11 with an Intel\u00ae Atom\u2122 x5-Z8350 with PAA",
"Linux Ubuntu 20.04 LTS (32-bit) running on an AAEON UP Core UPC-CHT01-A20-0464-A11 with an Intel\u00ae Atom\u2122 x5-Z8350 without PAA",
"Linux Ubuntu 20.04 LTS (64-bit) running on a Raspberry Pi 4 with a Broadcom BCM2711 with PAA",
"Linux Ubuntu 20.04 LTS (64-bit) running on a Raspberry Pi 4 with a Broadcom BCM2711 without PAA",
"Linux Ubuntu 20.04 LTS (64-bit) running on an AAEON UP Core UPC-CHT01-A20-0464-A11 with an Intel\u00ae Atom\u2122 x5-Z8350 with PAA",
"Linux Ubuntu 20.04 LTS (64-bit) running on an AAEON UP Core UPC-CHT01-A20-0464-A11 with an Intel\u00ae Atom\u2122 x5-Z8350 without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-11-22",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Initial"
}
],
"vendor": "Rambus Inc.",
"vendor_url": "http://www.rambus.com"
}
}